## borgbackup 1.2.0

=== debian/changelog ===
borgbackup (1.2.0-1ubuntu1.22.04.1) jammy; urgency=medium

  * debian/patches/6769.patch:
    - cherry-pick upstream patch to fix a db corruption possible issue
      (LP: #2125904)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 29 Sep 2025 09:18:27 +0200

borgbackup (1.2.0-1) unstable; urgency=medium

  * New upstream release
  * Drop patches now upstream:
    - 33519263ac3532d909863f4864fef23aa6f6b381,
    - 5937 
    - system-msgpack (this one was commented but its now not needed anymore)
  * Refresh patches
  * Bump compat level to 13
  * Bump std-version to 4.6.0, no changes required
  * Add new dateutil dependency needed for tests
  * Add msgpack and pkgconfig python modules, needed for build
  * Drop version constraints, now already satisfied since o-o-stable
  * Add new python3-pyfuse3 dependency, meant to deprecate llfuse
  * Update copyright years
  * Add new runtime suggestion of pyfuse3
  * Skip another test needing fuse
  * Update copyright file for new release

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 22 Feb 2022 22:45:33 +0100

borgbackup (1.1.17-2) unstable; urgency=medium

  * debian/patches/5937.patch
    - cherry-pick upstream change to use system/bundled xxhash
      based on detection method.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 26 Jan 2022 14:17:07 +0100

=== debian/control ===
Source: borgbackup
Section: admin
Priority: optional
Maintainer: Debian Borg Collective <team+borg@tracker.debian.org>
Uploaders: Danny Edel <debian@danny-edel.de>,
           Gianfranco Costamagna <locutusofborg@debian.org>
Build-Depends: cython3,
               debhelper-compat (= 13),
               dh-python,
               fakeroot,
               libacl1-dev,
               libb2-dev,
               libjs-bootstrap,
               liblz4-dev,
               libxxhash-dev,
               libssl-dev,
               libzstd-dev,
               python3-dev,
               python3-packaging,
               python3-guzzle-sphinx-theme,
               python3-llfuse (<< 2.0) [!hurd-any],
               python3-dateutil <!nocheck>,
               python3-msgpack,
               python3-pkgconfig,
               python3-pyfuse3 [!hurd-any],
               python3-pytest <!nocheck>,
               python3-pytest-cov <!nocheck>,
               python3-setuptools,
               python3-setuptools-scm,
               python3-sphinx,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://borgbackup.github.io/borgbackup/
Vcs-Git: https://salsa.debian.org/debian/borgbackup.git
Vcs-Browser: https://salsa.debian.org/debian/borgbackup

Package: borgbackup
Architecture: any
Depends: python3-pkg-resources,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: python3-llfuse (<< 2.0) [!hurd-any],
            python3-pyfuse3 [!hurd-any],
            fuse
Suggests: borgbackup-doc
Description: deduplicating and compressing backup program
 Borg is a deduplicating and compressing backup program. Optionally, it
 also supports authenticated encryption. It was forked from the attic
 backup program.
 .
 The main goal of Borg is to provide an efficient and secure way to
 backup data. The data deduplication technique used makes Borg suitable
 for daily backups since only the changes are stored. The authenticated
 encryption makes it suitable for backups to not fully trusted targets.
 .
 It can push backups to remote repositories accessed via ssh. A client
 pushing a backup invokes "borg serve" on the repository host. It is
 possible to restrict the ssh key to "borg serve" using the
 authorized_keys command= clause.
 .
 Please note that the server and the client should be on the same
 version of borgbackup. Using different versions of borgbackup on
 client and server might result in 'incompatible API version' error
 messages and a non-working backup.
 .
 While there is no direct operations mode for pull-type backups, you
 can configure the backup target in append-only mode, preventing the
 backup source from deleting or altering previous backups.

Package: borgbackup-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}, libjs-bootstrap, fonts-liberation
Description: deduplicating and compressing backup program (documentation)
 Borg is a deduplicating and compressing backup program. Optionally, it
 also supports authenticated encryption. It was forked from the attic
 backup program.
 .
 The main goal of Borg is to provide an efficient and secure way to
 backup data. The data deduplication technique used makes Borg suitable
 for daily backups since only the changes are stored. The authenticated
 encryption makes it suitable for backups to not fully trusted targets.
 .
 It can push backups to remote repositories accessed via ssh. A client
 pushing a backup invokes "borg serve" on the repository host. It is
 possible to restrict the ssh key to "borg serve" using the
 authorized_keys command= clause.
 .
 This is the documentation package

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

# The command 'sphinx-build' refers to the python2 version;
# currently there is no easier way to refer to the python3 version.
SPHINXBUILD=/usr/share/sphinx/scripts/python3/sphinx-build

# Full hardening for the cython build.
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# pybuild: use pytest instead of auto-detection
#
# The autodetection failed on jessie, resulting in a failed
# build, since unittest does not support pytest's command
# line switches
export PYBUILD_TEST_PYTEST=1

# Command line arguments to pytest
#
# Until pytest-benchmark is packaged, we must prevent the
# benchmarks from loading, or they will fail with unknown
# fixtures.
#
# Also, we cannot rely on the buildds allowing fuse to be
# used, so we disable the fuse-mount tests.
export PYBUILD_TEST_ARGS=\
	-k 'not benchmark and not fuse_mount and not test_fuse and not test_readonly_mount and not test_migrate_lock_alive' \
	--pyargs borg.testsuite

# To display coverage information, add the following
# switches to PYBUILD_TEST_ARGS (Upstream does this)
#
# Note that this currently breaks unittests on jessie,
# because borg will trip over the unexpected coverage
# files.  Since this failure does not occur in stretch,
# this is likely due to an outdated version in jessie.
#
# --cov=borg --cov-config=../.coveragerc

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_clean:
	dh_clean
	# make sure system libraries are used
	find . -name blake2.h -delete
	find . -name lz4.h -delete
	find . -name zstd.h -delete
	find . -name xxhash.h -delete
	find . -name xxhash.c -delete

override_dh_installdocs:
	python3 setup.py build_ext --inplace
	$(MAKE) -C docs html SPHINXBUILD=$(SPHINXBUILD)
	dh_installdocs

override_dh_installman:
	python3 setup.py build_ext --inplace
	$(MAKE) -C docs man SPHINXBUILD=$(SPHINXBUILD)
	dh_installman

#override_dh_auto_install:
#	dh_auto_install
#	#removing bundled msgpack directory
#	rm -rf debian/tmp/usr/lib/python3*/dist-packages/borg/algorithms/msgpack

# Run dh_auto_test in a fakeroot environment, this will
# disable some feature tests from upstream that are not
# guaranteed to work on a buildd anyway, like acls.
#
# Also, make sure the compiled cython files are present
# in-place, to allow the tests to find them.
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	python3 setup.py build_ext --inplace
	LC_ALL=C.UTF-8 fakeroot dh_auto_test
endif

# Do not compress .ico file (affects html documentation)
override_dh_compress:
	dh_compress -X.ico -Xfonts

## borgbackup 1.2.2

=== debian/changelog ===
borgbackup (1.2.2-2) unstable; urgency=medium

  * Add python3-pytest-benchmark to build

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 27 Sep 2022 16:31:41 +0200

borgbackup (1.2.2-1) unstable; urgency=medium

  * New upstream release
  * Drop patch to generate fixed _version.py file

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 12 Sep 2022 09:50:41 +0200

borgbackup (1.2.1-2) unstable; urgency=medium

  * Add patch to make sure we always correctly regenerate
    _version.py file (Closes: #1015052)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 18 Jul 2022 19:03:13 +0200

borgbackup (1.2.1-1) unstable; urgency=medium

  * New upstream release

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 07 Jun 2022 20:17:00 +0200

## borgbackup 1.2.3

=== debian/changelog ===
borgbackup (1.2.3-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 29 Dec 2022 10:19:15 +0100

borgbackup (1.2.3-1) unstable; urgency=medium

  * New upstream release

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 29 Dec 2022 10:17:45 +0100

=== debian/control ===
--- 
+++ 
@@ -24,6 +24,7 @@
                python3-pkgconfig,
                python3-pyfuse3 [!hurd-any],
                python3-pytest <!nocheck>,
+               python3-pytest-benchmark <!nocheck>,
                python3-pytest-cov <!nocheck>,
                python3-setuptools,
                python3-setuptools-scm,

## borgbackup 1.2.4

=== debian/changelog ===
borgbackup (1.2.4-1) unstable; urgency=medium

  * Update upstream signing key from 1k to 4k
  * New upstream release
  * Update copyright years
  * Bump std-version to 4.6.2, no changes required

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 22 Mar 2023 15:45:19 +0100

=== debian/control ===
--- 
+++ 
@@ -29,7 +29,7 @@
                python3-setuptools,
                python3-setuptools-scm,
                python3-sphinx,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://borgbackup.github.io/borgbackup/
 Vcs-Git: https://salsa.debian.org/debian/borgbackup.git

## borgbackup 1.2.6

=== debian/changelog ===
borgbackup (1.2.6-2) unstable; urgency=medium

  * Rename NEWS file
  * Add back 7793.patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 01 Sep 2023 14:37:27 +0200

borgbackup (1.2.6-1) unstable; urgency=medium

  * New upstream release
    - fix for 1.2.5 regression
  * Drop patch 7793, use right tarball instead

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 31 Aug 2023 23:46:14 +0200

borgbackup (1.2.5-4) unstable; urgency=medium

  * Revert "Add fuse3 dependency"
  * Reupload with also paperkey.html file to fix testsuite
  * Drop old NEWS file
  * Mention in NEWS.Debian compact (Closes: #1021840)
  * Mention in NEWS.Debian CVE-2023-36811 (Closes: #1050880)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 31 Aug 2023 09:16:19 +0200

borgbackup (1.2.5-3) unstable; urgency=medium

  * debian/patches/7793.patch:
    - test build to add attic.tar.gz to pybuild directory

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 31 Aug 2023 08:09:43 +0200

borgbackup (1.2.5-2) unstable; urgency=medium

  * Minimize signing key via gpg --armor --export --export-options
    export-minimal,export-clean
  * Add fuse3 dependency

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 30 Aug 2023 19:14:26 +0200

borgbackup (1.2.5-1) unstable; urgency=high

  * New upstream release
    - Fix for CVE-2023-36811

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 30 Aug 2023 17:33:11 +0200

borgbackup (1.2.4-3) unstable; urgency=medium

  * Add back fuse3 recommendation to unbreak docker images.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 14 Aug 2023 18:50:50 +0200

borgbackup (1.2.4-2) unstable; urgency=medium

  * Drop old llfuse support, now pyfuse3 is used
    instead (suggested on irc)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 11 Aug 2023 10:59:23 +0200

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,6 @@
                python3-dev,
                python3-packaging,
                python3-guzzle-sphinx-theme,
-               python3-llfuse (<< 2.0) [!hurd-any],
                python3-dateutil <!nocheck>,
                python3-msgpack,
                python3-pkgconfig,
@@ -41,9 +40,7 @@
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
-Recommends: python3-llfuse (<< 2.0) [!hurd-any],
-            python3-pyfuse3 [!hurd-any],
-            fuse
+Recommends: python3-pyfuse3 [!hurd-any], fuse3
 Suggests: borgbackup-doc
 Description: deduplicating and compressing backup program
  Borg is a deduplicating and compressing backup program. Optionally, it

## borgbackup 1.2.7

=== debian/changelog ===
borgbackup (1.2.7-2build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 19 Jan 2024 19:00:37 +0000

borgbackup (1.2.7-2) unstable; urgency=medium

  * Make pyfuse3 a suggested only package

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 29 Dec 2023 18:03:27 +0100

borgbackup (1.2.7-1) unstable; urgency=medium

  * New upstream release
  * Refresh patch 0001*

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 03 Dec 2023 09:46:03 +0100

## borgbackup 1.2.8

=== debian/changelog ===
borgbackup (1.2.8-1) unstable; urgency=medium

  * New upstream release 1.2.8
  * Update copyright years
  * Update upstream signing key

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 24 Apr 2024 15:51:34 +0200

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                python3-dateutil <!nocheck>,
                python3-msgpack,
                python3-pkgconfig,
-               python3-pyfuse3 [!hurd-any],
+#               python3-pyfuse3 [!hurd-any],
                python3-pytest <!nocheck>,
                python3-pytest-benchmark <!nocheck>,
                python3-pytest-cov <!nocheck>,
@@ -40,8 +40,8 @@
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
-Recommends: python3-pyfuse3 [!hurd-any], fuse3
-Suggests: borgbackup-doc
+Recommends: fuse3
+Suggests: python3-pyfuse3 [!hurd-any], borgbackup-doc
 Description: deduplicating and compressing backup program
  Borg is a deduplicating and compressing backup program. Optionally, it
  also supports authenticated encryption. It was forked from the attic

=== debian/rules ===
--- 
+++ 
@@ -18,14 +18,10 @@
 
 # Command line arguments to pytest
 #
-# Until pytest-benchmark is packaged, we must prevent the
-# benchmarks from loading, or they will fail with unknown
-# fixtures.
-#
-# Also, we cannot rely on the buildds allowing fuse to be
+# We cannot rely on the buildds allowing fuse to be
 # used, so we disable the fuse-mount tests.
 export PYBUILD_TEST_ARGS=\
-	-k 'not benchmark and not fuse_mount and not test_fuse and not test_readonly_mount and not test_migrate_lock_alive' \
+	-k 'not fuse_mount and not test_fuse and not test_readonly_mount and not test_migrate_lock_alive' \
 	--pyargs borg.testsuite
 
 # To display coverage information, add the following

## borgbackup 1.4.0

=== debian/changelog ===
borgbackup (1.4.0-5) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Add fixes for fakeroot tests from borgbackup2 (Closes: #1100201)

  [ Helmut Grohne ]
  * Force timezone during test suite
  * Skip unnecessary rebuild for testsuite
  * Actually export TZ for the test target. Thanks to Enrico Zini.
  * Only run some of the tests under fakeroot

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 25 Mar 2025 12:34:44 +0100

borgbackup (1.4.0-4) unstable; urgency=medium

  * Fixup clean file (Closes: #1043841)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 14 Oct 2024 07:53:32 +0200

borgbackup (1.4.0-3) unstable; urgency=medium

  * Bump std-version to 4.7.0
  * Drop llfuse support
  * Enable again pyfuse3

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 12 Oct 2024 16:03:51 +0200

borgbackup (1.4.0-2) unstable; urgency=medium

  * Drop pkg_resources, importlib is already used instead (Closes: #1083318)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 08 Oct 2024 10:46:32 +0200

borgbackup (1.4.0-1) unstable; urgency=medium

  * Bump copyright years
  * Drop copyright entries for removed files

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 05 Jul 2024 00:17:05 +0200

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

# The command 'sphinx-build' refers to the python2 version;
# currently there is no easier way to refer to the python3 version.
SPHINXBUILD=/usr/share/sphinx/scripts/python3/sphinx-build

# Full hardening for the cython build.
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# pybuild: use pytest instead of auto-detection
#
# The autodetection failed on jessie, resulting in a failed
# build, since unittest does not support pytest's command
# line switches
export PYBUILD_TEST_PYTEST=1

# To display coverage information, add the following
# switches to PYBUILD_TEST_ARGS (Upstream does this)
#
# Note that this currently breaks unittests on jessie,
# because borg will trip over the unexpected coverage
# files.  Since this failure does not occur in stretch,
# this is likely due to an outdated version in jessie.
#
# --cov=borg --cov-config=../.coveragerc

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_installdocs:
	python3 setup.py build_ext --inplace
	$(MAKE) -C docs html SPHINXBUILD=$(SPHINXBUILD)
	dh_installdocs

override_dh_installman:
	python3 setup.py build_ext --inplace
	$(MAKE) -C docs man SPHINXBUILD=$(SPHINXBUILD)
	dh_installman

# We run most of the tests in fakeroot to increase test coverage, but fakeroot
# introduces race conditions on its own.
TESTS_NO_FAKEROOT = benchmark.py cache.py checks.py key.py locking.py patterns.py remote.py repository.py shellpattern.py
override_dh_auto_test: export TZ=UTC # tests break in TZ=GMT+12, see https://github.com/borgbackup/borg/issues/5535
override_dh_auto_test: export LC_ALL=C.UTF-8
override_dh_auto_test:
	# fakeroot introduces race conditions to e.g. locking tests.
	dh_auto_test -- --test-args "--pyargs borg.testsuite -k '$(subst $(eval) $(eval), or ,$(TESTS_NO_FAKEROOT))'"
	# We cannot rely on the buildds allowing fuse to be
	# used, so we disable the fuse-mount tests.
	fakeroot dh_auto_test -- --test-args "--pyargs borg.testsuite -k 'not fuse_mount and not test_fuse and not test_readonly_mount and not test_migrate_lock_alive $(foreach t,$(TESTS_NO_FAKEROOT),and not $(t))'"

# Do not compress .ico file (affects html documentation)
override_dh_compress:
	dh_compress -X.ico -Xfonts

=== debian/tests/control ===
Tests: simplesession
Depends: @, @recommends@
Restrictions: isolation-machine, allow-stderr

Tests: simplesession-nofuse
Depends: @
Restrictions: allow-stderr

## borgbackup 1.4.1

=== debian/changelog ===
borgbackup (1.4.1-4) unstable; urgency=medium

  * Team upload.

  [ Helmut Grohne ]
  * Split the unit autopkgtest into a fuse one and one without.

  [ Helmut Grohne and Nicholas D Steeves]
  * Symlink debian/tests/unit-nofuse -> unit.  This autopkgtest leverages
    upstream's support to conditionally skip tests when dependencies are
    missing.  Compare the delta between unit and unit-nofuse's Depends to
    learn what may be required to create -nofuse autopkgtest variants for
    other packages.

 -- Nicholas D Steeves <sten@debian.org>  Tue, 08 Jul 2025 19:21:34 -0400

borgbackup (1.4.1-3) unstable; urgency=medium

  * Team upload.

  [ Nicholas D Steeves ]
  * Update debian/NEWS: Upstream introduced less alarming and easier to
    follow migration instructions in 1.2.8, and this is their officially
    supported procedure.
  * Git shortlog of Debian-facing upstream changes between upstream's 1.4.0 and
    1.4.1, (for trixie unblock):

    ecf2dfa17 build_usage / build_man [docs]
    1bed2155d update CHANGES
    3880c7e12 implement padme chunk size obfuscation (SPEC 250), fixes #8705
    49fa6c476 update CHANGES
    aba21ee18 freebsd: fix nfs4 acl processing, fixes #8756
    dddb6b155 fix remote repository exception handling / exit codes, fixes #8631
    0b6150c74 Fix paper key import error message
    11ac0cdc6 docs: theme fixes
    46c44b9d9 docs: fix template to support search result preview
    ecd797611 docs: add layout.html template from guzzle_sphinx_theme 0.7.11
    31784547b work around sudden failure of sphinx ini lexer
    8b1840640 Clearer language
    a21f08ac6 update CHANGES
    8ffd26300 set archive timestamps in local timezone
    3a932c587 Revert "Fix hourly prune test failure due to non-full-hour
              timezone"
    570c97eb1 run prune tests in specific full hour timezone
    7cf831609 quickfix to disallow running borg with assertions switched off
    8e6dc52a8 Fix #8522: Add {unixtime} placeholders (1.4-maint) (#8675)
    a1a028cef FAQ: Why are backups slow on a Linux server that is a member of a
              windows domain?
    fc0c799db docs: modify docs for automated backup to append to SYSTEMD_WANTS
              rather than overwrite
    5634e49fe docs: fix udev rule priority in automated-local.rst
    15ec434b5 docs: clarify requirements when using command line options with
              special characters within a shell #8628
    54e526cfc fix security policy: 1.4.x is security supported
    21c3b8688 it's 2025
    301aacecd docs: remove 3rd_party licenses
    cda01c7ba docs: add FAQ entry about pure-python msgpack warning, fixes #8323
    16e4b3087 binary readme: first check faq and existing issues
    d3b23b0e6 update CHANGES
    2dfb5d9a0 use Cython 3.0.11
    7d9028a22 mount docs: apply jdchristensen's suggestion, better phrasing.
    f0bd01b98 FAQ: Why is backing up an unmodified FAT filesystem slow on Linux?
    88ce37b73 update CHANGES
    a6dc8c52d check: more consistent messaging considering --repair, fixes #8533
    69151c7a1 support and test on Python 3.13
    4f794bbee config: reject additional_free_space < 10M, fixes #6066
    f0564036e yes: deal with UnicodeDecodeError in input(), fixes #6984
    09745d22f compact: support --dry-run (do nothing), fixes #8300
    e74c91285 config: fix acceptance of storage_quota 0, fixes #8499
    095b43ba3 docs: update install docs, nothing bundled anymore! fixes #8342.
    66e92636d Clarify  excluded and included flags for dry-run in borg the docs
    8fe9c5ed6 docs: Small changes regarding compression
    05837fbeb docs/FAQ: Clean up entries regarding SSH settings
    2230932c0 docs: borg/borgfs detects internally under which name it was
              invoked, fixes #8207
    cbbfc35db docs: mount: document on-demand loading, perf tips, fixes #7173
    cf472302d docs: better link modern return codes, fixes #8370
    272033121 Do not assert on diff if hard link sources are not found due to
              exclusions.
    2c1862007 fix WORKAROUNDS=authenticated_no_key support for archive TAM
              authentication, fixes #8400
    4f110f8bd Update repository URLs in docs to use new syntax Fixes #8361
    81cb1cdc5 Add quarterly pruning strategy. (#8337)
    938e144f8 Ensure that 0B changes are hidden from text diffs too.
    f7673e3f0 Add test to make sure 0-added,0-removed modified changes aren't in
              JSON output.
    6e9857b3e Remove 0-added,0-removed modified entries from JSON output.
    54c902474 docs: align /etc/backups path in all references
    adf2d8c04 remove outdated comment, fixes #4240
    85d7bdd75 improve borg check --repair healing tests, see #8302
    924952fcd Fix backwards compatibility of old chunks.archive.d file behavior
    f3c1444a4 Update docs for BORG_USE_CHUNKS_ARCHIVE
    0575f8758 Add BORG_USE_CHUNKS_ARCHIVE option
    0bd41ba65 Automatic rebuild cache on exception, fixes #5213 (#8257)
    b379202be docs: fix typo (backport #8272)

  [ Lee Garrett ]
  * Add myself to Uploaders.
  * Add missing end of sentence punctuation in the long description.
  * Update metadata (Vcs-Git/gbp.conf) to point to trixie branch.
  * Add unit tests to autopkgtests.

  [ Nicholas D Steeves ]
  * Additionally enable autopkgtest-pkg-python (see Debian Python Team for why
    one should use both).

 -- Nicholas D Steeves <sten@debian.org>  Sat, 28 Jun 2025 14:18:42 -0400

borgbackup (1.4.1-2) unstable; urgency=medium

   * Add fix from borgbackup2
   * Add new python3-sphinxcontrib.jquery dependency

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 10 May 2025 16:45:55 +0200

borgbackup (1.4.1-1) unstable; urgency=medium

  * New upstream release 1.4.1
  * Bump compyright years

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 10 May 2025 15:24:09 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: optional
 Maintainer: Debian Borg Collective <team+borg@tracker.debian.org>
 Uploaders: Danny Edel <debian@danny-edel.de>,
-           Gianfranco Costamagna <locutusofborg@debian.org>
+           Gianfranco Costamagna <locutusofborg@debian.org>,
+           Lee Garrett <debian@rocketjump.eu>,
 Build-Depends: cython3,
                debhelper-compat (= 13),
                dh-python,
@@ -18,30 +19,32 @@
                python3-dev,
                python3-packaging,
                python3-guzzle-sphinx-theme,
+               python3-sphinxcontrib.jquery,
                python3-dateutil <!nocheck>,
                python3-msgpack,
                python3-pkgconfig,
-#               python3-pyfuse3 [!hurd-any],
+               python3-pyfuse3 [!hurd-any],
                python3-pytest <!nocheck>,
                python3-pytest-benchmark <!nocheck>,
                python3-pytest-cov <!nocheck>,
                python3-setuptools,
                python3-setuptools-scm,
                python3-sphinx,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://borgbackup.github.io/borgbackup/
-Vcs-Git: https://salsa.debian.org/debian/borgbackup.git
+Vcs-Git: https://salsa.debian.org/debian/borgbackup.git -b debian/trixie
 Vcs-Browser: https://salsa.debian.org/debian/borgbackup
+Testsuite: autopkgtest-pkg-python
+# functional unit tests have been configured in debian/tests/unit
 
 Package: borgbackup
 Architecture: any
-Depends: python3-pkg-resources,
-         ${misc:Depends},
+Depends: ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
-Recommends: fuse3
-Suggests: python3-pyfuse3 [!hurd-any], borgbackup-doc
+Recommends: fuse3, python3-pyfuse3 [!hurd-any]
+Suggests: borgbackup-doc
 Description: deduplicating and compressing backup program
  Borg is a deduplicating and compressing backup program. Optionally, it
  also supports authenticated encryption. It was forked from the attic
@@ -86,4 +89,4 @@
  possible to restrict the ssh key to "borg serve" using the
  authorized_keys command= clause.
  .
- This is the documentation package
+ This is the documentation package.

## borgbackup 1.4.2

=== docs/_static/Makefile ===

all: logo.pdf logo.png

logo.pdf: logo.svg
	inkscape logo.svg --export-pdf=logo.pdf

logo.png: logo.svg
	inkscape logo.svg --export-png=logo.png --export-dpi=72,72

clean:
	rm -f logo.pdf logo.png

=== debian/changelog ===
borgbackup (1.4.2-1) unstable; urgency=medium

  * Merge changes of 1.4.1-3~exp1 after trixie release
  * New upstream release 1.4.2

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 07 Nov 2025 16:02:46 +0100

borgbackup (1.4.1-3~exp1) experimental; urgency=medium

  * Team upload.

  [ Nicholas D Steeves ]
  * Update debian/NEWS: Upstream introduced less alarming and easier to
    follow migration instructions in 1.2.8, and this is their officially
    supported procedure.

  [ Lee Garrett ]
  * d/watch: Limit uscan to the 1.x releases. Borgbackup2 is a separate
    package, as such we shouldn't track the >= 2.x releases here.
  * Switch packaging repo to DEP-14 layout.
  * Add myself to Uploaders.
  * Add missing end of sentence punctuation in the long description.
  * Add unit tests to autopkgtests.

  [ Nicholas D Steeves ]
  * Additionally enable autopkgtest-pkg-python (see Debian Python Team for why
    one should use both).

 -- Nicholas D Steeves <sten@debian.org>  Wed, 18 Jun 2025 17:50:54 -0400

=== debian/control ===
--- 
+++ 
@@ -33,7 +33,7 @@
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://borgbackup.github.io/borgbackup/
-Vcs-Git: https://salsa.debian.org/debian/borgbackup.git -b debian/trixie
+Vcs-Git: https://salsa.debian.org/debian/borgbackup.git
 Vcs-Browser: https://salsa.debian.org/debian/borgbackup
 Testsuite: autopkgtest-pkg-python
 # functional unit tests have been configured in debian/tests/unit

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/borgbackup/borgbackup-(1\..+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## borgbackup 1.4.3

=== debian/changelog ===
borgbackup (1.4.3-2) unstable; urgency=medium

  [ Jeremy Bícha ]
  * autopkgtest: remove Depends: python-llfuse (since it uses fuse2)

  [ Lee Garrett ]
  * Add borgbackup-doc lintian overrides
  * Remove symlink in borgbackup-doc
  * Skip build tests when running with DEB_BUILD_OPTIONS=nocheck.
  * d/t/unit: Silence irrelevant error message
  * Fix unit test failure (Closes: #1122642)
  * d/gbp.conf: Don't enforce export-dir on packagers (use ~/.gbp.conf for this)
  * d/gbp.conf: Don't enforce lintian (use ~/.gbp.conf or ~/.sbuildrc for this)
  * d/watch: Make pattern matching slightly more strict and readable
  * d/control: Add Built-Using stanza as required by Debian policy §7.8
  * d/watch: Switch to github to find upstream signatures

 -- Lee Garrett <debian@rocketjump.eu>  Sun, 21 Dec 2025 22:35:39 +0100

borgbackup (1.4.3-1) unstable; urgency=medium

  * New upstream release.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 06 Dec 2025 11:26:29 +0100

borgbackup (1.4.2-2) unstable; urgency=medium

  * Import the pypi tarball as quilt patch, fixing ftbfs

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 08 Nov 2025 09:25:59 +0100

=== debian/rules ===
--- 
+++ 
@@ -45,11 +45,15 @@
 override_dh_auto_test: export TZ=UTC # tests break in TZ=GMT+12, see https://github.com/borgbackup/borg/issues/5535
 override_dh_auto_test: export LC_ALL=C.UTF-8
 override_dh_auto_test:
+ifneq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	# fakeroot introduces race conditions to e.g. locking tests.
 	dh_auto_test -- --test-args "--pyargs borg.testsuite -k '$(subst $(eval) $(eval), or ,$(TESTS_NO_FAKEROOT))'"
 	# We cannot rely on the buildds allowing fuse to be
 	# used, so we disable the fuse-mount tests.
 	fakeroot dh_auto_test -- --test-args "--pyargs borg.testsuite -k 'not fuse_mount and not test_fuse and not test_readonly_mount and not test_migrate_lock_alive $(foreach t,$(TESTS_NO_FAKEROOT),and not $(t))'"
+else
+	@echo "Skipping tests due to DEB_BUILD_OPTIONS=nocheck."
+endif
 
 # Do not compress .ico file (affects html documentation)
 override_dh_compress:

=== debian/watch ===
version=4
opts=searchmode=plain,\
uversionmangle=s/(rc|a|b|c)/~$1/,\
pgpsigurlmangle=s/$/.asc/ \
https://api.github.com/repos/borgbackup/borg/releases?per_page=50 \
https://github.com/borgbackup/borg/releases/download/(?:1\.[0-9]+\.[0-9rc]+)/@PACKAGE@-(1\.[0-9]+\.[0-9rc]+).tar.gz
